31/08/15: ah
    Removed some compilation warnings.
17/08/15: ah
    Added fix for removing timeouts (courtesy of Sittapong Settapat)
31/01/15: ah
    Fixed defect #25
    Suppressing spurious functions
02/01/15: ah
    Fixed Win32 build.
02/01/15: ah
    Fixed bug #24: format not a string literal.
29/08/11: ah
    Fixed bug 3311189
    Fixed problem with refcounting in user_data()
26/01/11: ah
    Released V1.3.0rc1, supporting fltk-1.3.0rc3
25/01/11: ah
    Fixed compilation issues with MinGW.
22/01/11: ah
    Replaced contributed Fl_Table by version in fltk-1.3.0.
10/01/11: ah
    Added printing support.
07/01/11: ah
    Added support for Fl_Tree.
30/12/10: ah
    Added utf8 support.
16/04/10: ah
    Fixed bug 2980781 and similar problems in ListSelect.cpp and 
    Fl_Text_Buffer.i
04/01/10: ah
    Released V1.1.5, supporting fltk-1.1.10
21/12/09: ah
    Fixed error output for director exceptions.
25/09/09: ah
    Fixed list initialisation for demoy.py
25/09/09: ah
    Fixed problem with missing gl headers.
19/08/09: ah
    Fixed bug 2826711
24/04/09: ah
    Fixed changed interfaces for swig 1.3.39, these changes are not compatible with older versions.
07/04/09: ah
    Fixes for OSX compilation, courtesy of Aaron R.
23/03/09: ah
    Fixed bug #2692286.
27/11/09: ah
    Fixed bug #2327070
27/10/08: ah
    Fixed callback in test/image.py.
21/10/08: ah
    Fixed bug #2180764, modify callback are now properly attributed to text buffers.
08/10/08: ah
    Fixed memory leak in Fl_Gl_Window::valid().
15/09/08: ah
    Fixed problems with destructors in preferences.py
    Added new overloads for Fl_Preferences.set
03/09/08: ah
    Added new box types to Enumerations.i
07/02/08: ah
    Added wrappers for add_fd and remove_fd and test file.
26/11/08:
    Added new test program.
12/11/07: ah
    Bug 1783049: Added internal reference to label in order to cheat 
    garbage collection.
11/09/07: ah
    Releaseed pyFltk-1.1.2!
05/09/07: ah
	Extended Fl_Gl_Window by method drawPixels, courtesy of David McNab.
05/09/07: ah
	Added test/glimage.py, courtesy of David McNab.
03/09/07: ah
	Added wrapper for gl_draw_image.
11/09/07: ah
	Released pyFltk-1.1.2!
27/08/07: ah
        Fixed memory problem in Fl_Widget.label. We now alwys use copy_label 
	internally.
15/08/07: ah
	Implemented interactive usage. See docs/CH2_Basics.html for some 
	comments on how to use the interactive mode (Patch ID 1767434).
04/07/07: ah
        Ignoring Fl_File_Chooser::recsan_keep_filename (Bug ID 1746335).
18/06/07: ah
        Finalized support for Python objects in callbacks.
29/05/07: ah
	Added support for Python classes in callbacks.
22/05/07: ah
	Fixed Unix build issue when FLTK_HOME is not set and fltk has been 
	installed in default location (/usr).
18/05/07: ah
	Changed distribution to use proper package name "fltk". Documentation 
	and test scripts are now installed inside of package "fltk".
15/05/07: ah
	Added docstrings to most FLTK classes -> improved reference manual.
02/05/07: ah
	Major documentation overhaul. Auto-generated reference manual
	has been included.
27/02/07: ah
	Fixed compilation issue with MinGW, it is now possible to use FLTK 
	default installation.
22/02/07: ah
	Fixed bug in test/table.py.
26/01/07: ah
	Fixed call to fltk-config in MakeSwig.py.
21/12/06: ah
	Added docs/subclassing.html and docs/opengl.htnml.
04/12/06: ah
	Implemented wrapping for fl_yes_set, fl_no_set, fl_ok_set,
	fl_cancel_set, and fl_close_set, with respective getters as well.
	Added test/message_de.py.
01/12/06: ah
	Added docs/drawing.html and docs/events.html.
	Fixed wrapping of fl_clip_box() and fl_measure().
29/11/06: ah
	Added test/unittests.py
17/11/06: ah
	Released pyFltk-1.1.1!
16/11/06: ah
	Fixed memory leak in Fl_Preferences result strings.
15/11/06: ah
	Added V3.12 of Fl_Table, courtesy by Gregg Ercolano.
	Note: the syntax of find_cell has changed, the parameters X, Y, W, H
	are now output only (used to be in/out).
12/11/06: ah
	Added some documentation, see docs/preface.html!
12/11/06: ah	
	Added test/editor.py and test/simple_table.py.
12/11/06: ah
	Implemented Fl_Text_Display.highlight_data.
08/11/06: ah
	Fixed bug in Fl_Text_Buffer.remove_modify_callback()
08/11/06: ah
	Added possibility to register multiple modify callbacks 
	with Fl_text_Buffer.
08/11/06: ah
	Fixed missing output parameter for Fl_Text_Buffer:
	findchar_forward, findchar_backward, search_forward, search_backward, etc
02/11/06: ah
	Released pyFltk-1.1.1RC3
02/11/06: ah
	Fixed compilation issue for MinGW (wrongly linked with
	msvcrt instead of mscvr71).
23/10/06: ah
	Fixed compilation issue for g++ 4.1.1 (ListSelect).
18/10/06: ah
	Released pyFltk-1.1.1RC2
14/08/06: ah
	Added typemap to convert Fl_Button.value() from char to int.
09/08/06: ah
	Added funtion mt_run.
	Added wrappings for Fl.repeat_timeout and Fl.remove_timeout.
24/07/06: ah
	Fixed bug in OpenGL part of compilation.
11/07/06: ah
	Fixed Cygwin compilation issue by adding -DNOMINMAX.
06/06/06: ah
	Redesigned memory management. Removed post-processing step
	and added all memory management to interface files. Ownership
	of objects should now be properly transferred between fltk and Python.
22/05/06: ah
	Added interface files to distribution.
18/05/06: ah
	Added auto configuration to setup.py. Missing OpenGL and Forms libraries should be recognized now.
	Added command line switches --disable-gl and --disable-forms to setup.py
	Added stubs for missing OpenGL and Forms libraries.
	Added compilation support for Sun Solaris.
22/02/06: ah
	Released pyFltk-1.1.0
	Added wrapper for Fl_File_Browser::load()
	Ignored fl_filename_list and sorting functions.
20/02/06: ah
	Fixed problems with varargs in fl_ask.i
	Added multi-threading safe version of pop-ups (fl_ask, etc)
16/02/06: ah
	Changed to SWIG's support for threading.
	Added docstring to fltk.i
	Adjusted test files for swig-1.3.28/29 (simplified proxy classes).
15/02/06: ah
	Due to bug in swig-1.3.28 we need to switch to swig-1.3.29!
	Added compile switch DO_NOT_USE_THREADS to setup.py, recognizing 
	    whether FLTK was compiled with threads enabled (linux only).
	Added SWIG command line switch -O for swig-1.3.28 (full optimization).
	Conditionally wrapped Fl thread methods.
	Added support for UTL (swig-1.3.28).
27/01/06: ah
	Fixed missing keyboard events in handle_events.py.
26/01/06: ah
	Added sudoku.py, a port of Michael Sweet's sudoku game for FLTK.
25/01/06: ah
	Added threads.py, a multi-threading example script.
18/01/06: ah
	Added wrapping for Fl_Spinner and Fl_Input_Choice from fltk-1.1.7
	Added test code to test/menubar.py
	Added DragAndDrop.py, a test script for drag'n'drop.
17/01/06: ah
	Added test program for drag and drop.
13/01/06: ah
	Released pyFltk-1.1RC2
09/01/06: ah
	Fixed memory problem with pixmaps.
22/11/05: ah
	Added support for user defined widgets.
	Cleaned up wrapping of Fl_Color.
	Added patch from David McNab to force using g++ on Linux.
18/11/05: ah
	Wrapped Fl.add_check and Fl.remove_check.
	Fixed overload of Fl_Browser.data.
8/11/05: ah
	Added overloaded Fl_Browser::data
7/11/05: ah
	Added wrapping for Fl::add_handler and Fl::remove_handler.
7/10/05: ah
	Added wrapping of Fl_Help_View.link
1/10/05: ah
	Added proper wrappings for Fl_Preferences. Returned ownership of
	Fl_Preferences to Python.
17/08/05: ah
	Checked in V3.10 of Fl_Table, courtesy of Gregg Ercolano.
24/06/05: ah
	Major changes to use Swig's director features. This will allow
	for subclassing all widgets from Python.
02/04/05: ah
	Created script MakeSwig.py instead of shell script.
12/11/04: ah
	Released pyfltk-1.1.b3
02/11/04: ah
	Tested successfully with fltk-1.1.5.
27/10/04: ah
	Fixed error in typemap for Fl_Image, Fl_Bitmap, and fl_draw.
08/09/04: ah
	Removed polymorphisms for Fl_Pack due to intermittent
	problems.
	Fixed bug in setup.py
08/08/04: ah
	Added Fl_Menu_Item::callback and Fl_Menu_Item::user_data.
08/08/04: ah
	Added Fl_Menu_::menu, returning a Python list of the complete
	menu structure.
08/05/04: ah
	Added overload of Fl_Pack::handle, Fl_Pack::draw,
	Fl_Pack::resize, Fl_Group::handle, Fl_Group::draw, Fl_Group::resize.
08/05/04: ah
	Added test/draw.py, courtesy of G. Lielens.
	Added some ignores to fl_draw.i to avoid type mismatches.
08/05/04: ah
	Added overload of Fl_Widget::resize
08/03/04: ah
	Added new constructor typemap for Fl_Image and Fl_Bitmap,
	allowing array data to be used for initialisation. 
	Courtesy of G. Lielens
08/03/04: ah
	Added support for FL_MOVE event. Courtesy of G. Lielens.
07/08/04: ah
	Added polymorphisms for Fl_Scroll class.
	Added some fixes to setup.py
01/24/04: ah
	Added Fl_Text_Buffer::add_modify_callback.
11/26/03: ah
	 Merged setup_mingw.py and setup.py into setup.py.
11/25/03: ah
	 Added darwin setup from M. Parent to setup.py.
11/21/03: ah
	 Added auto-configuration to setup.py. A call to fltk-config will
	 find out about additional libraries used.
11/10/03: Released Version 1.1b2
11/10/03: ah
	 Switched to more standard distutils scripts.
10/28/03: ah
	 Fixed bug in test/delwin.py
10/28/03: ah
	 Fixed bugs in Fl_Single_Window.handle and Fl_Double_Window.handle
10/21/03: ah
	 Cleaned up and added missing polymorphisms in Fl_Single_Window
	 and Fl_Double_Window.
10/20/03: ah
	 Intergrated the table widgets Fl_Table and Fl_Table_Row which
	 were contributed by Greg Ercolano. Added test file table.py.
10/13/03: ah
	 Some minor adjsutments for Python23.
10/13/03: ah
	 Added Fl_Menu_.menu as another name for Fl_Menu_.copy. Updated
	 documentation.
9/30/03: ah
	 Fixed bug in Fl_Browser.add.
9/30/03: ah
	 New call for Fl_Window.show(sys.argv) is now possible.
9/30/03: ah
	 Added cross-language polymorphism for Fl_Gl_Window.handle.
	 Cleaned up Fl_Gl_Window.draw.
9/29/03: ah
	 Added setup_mingw.py.
9/29/03: ah
	 Setup.py now reverts to default paths when environment variables
	 are not set.
9/29/03: ah
	 Fixed bug in Fl_Browser.i, resolves bug in file_chooser.py.
9/22/03: ah
	 Fixed test/cube.py.
9/12/03: ah
	 Properly defined label types: FL_SYMBOL_LABEL, FL_SHADOW_LABEL,
	 FL_EMBOSSED_LABEL, FL_ENGRAVED_LABEL.
9/11/03: ah
	 setup.py for Win32 now links against opengl32, rather
	 than opengl.
9/10/03: ah
	 Fl_Widget.callback now returns proper widget type.
	 Widget casts are now deprecated and no longer needed.
8/27/03: ah
	 Added fl_xid to obtain handle of a window.
7/31/03: ah
	 Added Fl_Menu_.copy and Fl_Menu_.add to set menus.
	 setMenu is now deprecated.
7/25/03: ah
	 Updated documentation.
	 Added files for pyFLTK2.
7/16/03: ah
	 Eliminated need for setting thisown=0 for every widget.
	 This is now done in the contsructor of the proxy class.
7/14/03: ah
	 Fixed nasty bug that led to stack overflow on handling
	 polymorphisms in classes Fl_Box and Fl_Widget.
7/11/03: ah
	 Added polymorphism for Fl_Overlay_Window::draw_overlay
	 Added some type casts.
	 Added method getScrollbar to Fl_Scroll.
	 Added method getScrollbar to Fl_Browser_.

6/24/03: ah
	 Added polymorphism for Fl_Widget::handle.
	 Added test/handle_events.py for testing event handling 
	 using Fl_Widget.

6/20/03: ah
	 Added polymorphism for Fl_Box::draw
	 Created new cross-platform setup script setup.py

6/18/03: ah
	 Added contrib/ListSelect.h/.cpp, and test/listSelect.py

6/18/03: ah
	 Fixed test/doublebuffer.py

6/16/03: ah
	 Applied patch 742665: Fl_Browser.column_widths().
	 Added test file test/browser_cols.py
	 Thanks to Jerome Laheurte.

6/15/03: ah
 	 Fixed patch (bug) 745651: add_timeout without user data.
	 
6/13/03: ah
	 Fixed several problems with test files: delwin.py, dials.py, help.py

6/11/03: ah
	 Cleaned up defines for boxtypes. See file test/boxtype.py for
	 examples.

6/5/03:  ah
	 Overloaded method draw for FL_Single_Window and Fl_Double_Window.

5/20/03: ah
	 Fixed bug in Fl_Adjuster (adjuster.py) that prevented the
	 adjuster from being updated.

5/13/03: ah
	 New version for fltk-1.1 and Python 2.2. Much has changed,
	 especially in swig, so consider it a new package.

11/15/00: 
Gideon May <gideon@computer.org> :
To the flconvert program:
- all the binary object options are added to the optionValueFix
- added down_box and shortcut objects
- corrected the Radio and Toggle type object for buttons
- added Multiline text input widget
	

Adam Goldman <adam@rtg.com>:
Changes from Adam:
The overload.pl from pyFLTK_20000309_140830 seems to generate code that 
does the wrong thing when given an empty (but defined) string. Attached 
is a replacement. I don't really understand how the whole overloading 
thing is supposed to work but this seems to be an improvement.


3/9/00: KPD
	added Anders Eriksson's Visual C++ makefile

1/25/99: KPD
	fixed bug in Fl_Pixmap typemap
	added to toggle tree demo, still not ready for prime time

1/24/99: KPD
	minor changes in the way overloading works
	began implemenenting toggle tree support

1/21/00 KPD
	added ability include/exclude contributed widgets via configure
	added ability include/exclude Open-GL support via configure

1/11/00 KPD
	Automated Python wrapper installation

1/8/00 KPD
	fixed test/boxtype.py, test/PyAppWithGUI
	added to INSTALL file
    
1/7/00 KPD
	added flconvert support for declarations and classes
	added ifdef Python sentries to browser changes
	added demo runner test/demos.py
	fixed browser data bug

1/6/00 KPD
	added data support to browser, still needs some work to handle
    arbritary script object types

1/4/00 KPD
	updated README
	reorganized notes
	added test/PyAppWithGUI
	changed fluid parser to allow scoped indentifiers

12/29/99 KPD
	fixed Python Menu callback bug - menus weren't using the new
		CallBackStruct
	fixed MS-Windows build
	fixed function return values in src/Fl_Wrapper
	in swig/py_timeout.i: MS VCC couldn't handle pointer initializaition, 
		had to change to assignment
	removed default paramter value from contrib/Check_Browser.cc
	removed test/arc.py because it can't work with the current 
		system - no way to subclass a widget in Python yet

11/19/99 KPD
	fixed Python Fl_Widget callbacks to make them work with data

11/16/99 KPD
	fixed runtime Python problems

11/15/99 KPD
	moved static Fl:: functions to Fl. in Python, so
		Fl_add_idle is actually Fl.add_idle(
	added Fl_Pixmap, Fl_FormsPixmap

11/12/99 KPD
	added fl_show_colormap, Fl_Image, see test/color_chooser.py
	fixed bug in Python idle processing where it wouldn't work
		if fltk was loaded via 'import fltk', instead of 
		'from fltk import *'

11/9/99 KPD
	added Fl_FormsBitmap, see test/formsbitmap.py

11/8/99 KPD
	added Fl_Positioner, see test/positioner.py
	added Fl_Bitmap, see test/bitmap.py

11/5/99 KPD
	added idle callbacks for Python, see test/idle.py
	added timer callbacks for Python, see test/timeout.py

11/4/99 KPD
	added Check_Browser, test/check_browser.py

11/3/99 KPD
	fixed win 32 gnu-cygwin vcc build
	added fl_ask.h functions, test/message.py

11/2/99 KPD
	improved handling of object options in  util/flconvert/Code_py.py

11/1/99 KPD
	added Fl_Adjuster and subclasses, .cvsignore files
	added Fl_Scrollbar, Fl_Value_Ouput, test/valuators.fl

10/29/99 KPD
	added Fl_chart, test/chart.p[yl]

10/28/99 KPD
	Added remaining python overloads for Fl.i

10/20/99 MCK
	added autoconf'ed makefile. makefile now supports compilation on
	IRIX, OSF1, SunOS in addition to Linux, but is untested on those
	platforms.
	set up remote cvs repository.

6/18/99 KPD
	added -fPIC to the compiler flags
	fixed the Python test scripts (# ctor parameters to Fl_Window changed)
	added .errorfile to 'make clean' (it comes from testing within vim)
	changed tarball structure to have a date/time stamped directory in
      front of the files

6/10/99 KPD
	added util/flconvert to distribution
	fixed overload.dta::hotspot

5/19/99 KPD
	fixed test/symbols.py
	added intial support of src/ListSelect
	added Fl_Multi/Hold_Browsers

5/13/99 KPD
	added Python support for Fl_Menu_.copy, used to set
	menus.  
	added test/menubar.py

5/6/99 MCK
	created a typemap of Fl_Menu_Item for perl
	  doesn't work right though (see notes)
	removed commented out functions that didn't work
	  in Fl_Menu_.i
4/21/99 MCK
	added all menu related classes except Fl_Choice
	added pmAdd() to swig/Fl_Menu_.i
	added test/menu.pl
	made an html version of POD docs util/pmfltk.html

4/20/99 MCK
	typemapped int, short, and long for perl 
	added overload/overload.pl and overload/overperl.dta
	all current overloaded functions are now supported
	  in Perl, but not heavily stress tested
	editted Makefile to run Perl overloading
	updated POD docs
4/3/99 MCK
	finished of Fl_Button classes
	restored test/widgets.pl to working order
	fixed test/pack.pl to mimic pack.py
	added test/tabs.pl
4/2/99 MCK
	started POD documentation for perl.
	commented out browser->add() calls in test/widgets.pl
	  to stop it from core dumping till fixed
	added test/multi.pl - shows all the new input widgets
	added remaining Input and Output classes
	  Fl_Multiline_Input, Fl_Secret_Input, Fl_Int_Input,
	  Fl_Float_Input, and Fl_Multiline_Output
        fixed perl callbacks - added pmCallback method in Fl_Widget.i
        typemapped char * & const char * for Perl, fixed label values
        added test/pack.pl
        rewrote test/hello.pl to mimic hello.py

4/2/99 KPD
	added Tab, Browser_, removed show(int,char**) from Double_Window

4/2/99 KPD
	overloaded of Fl_Group::resizable(). In Python must
	use x.resizable( window.this ), in Perl, $window->resizable1($window);
	cleaned up lots of warnings

4/1/99 KPD
	rm test/*.pyc in clean target
	added to Fl_Widget, Fl_Browser
	added test/widget.py
